#
# spec file for package perl-Calendar-Simple
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Calendar-Simple
Name:           perl-Calendar-Simple
Version:        2.0.1
Release:        bp156.2.1
Summary:        Perl extension to create simple calendars
License:        Artistic-1.0 OR GPL-1.0-or-later
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/D/DA/DAVECROSS/%{cpan_name}-v%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build) >= 0.420000
Recommends:     perl(DateTime)
%{perl_requires}

%description
A very simple module that exports one function called 'calendar'.

%prep
%autosetup  -n %{cpan_name}-v%{version}
find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%doc Changes.md README

%changelog
* Fri Jan 15 2021 Tina Müller <timueller+perl@suse.de>
- updated to 2.0.1
  see /usr/share/doc/packages/perl-Calendar-Simple/Changes.md
  [#]# [2.0.1] 2021-01-14
  [#]## Added
  - Details of bugtracker
* Tue Jun 23 2020 Tina Müller <timueller+perl@suse.de>
- updated to 2.0.0
  see /usr/share/doc/packages/perl-Calendar-Simple/Changes.md
* Fri Feb 23 2018 coolo@suse.com
- updated to 1.23
  see /usr/share/doc/packages/perl-Calendar-Simple/Changes
* Thu Dec  6 2012 mopp@gmx.net
- removed perl-macros for openSUSE 11.4 and higher.
* Wed Aug 24 2011 chris@computersalat.de
- fix deps, build for CentOS
- remove Author from desc
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Fri Sep 17 2010 chris@computersalat.de
- recreated by cpanspec 1.78
- fix build
* Thu May  6 2010 lnussel@suse.de
- new version 1.21 which fixes testsuite with perl 5.11.0+
- make noarch
* Tue May  6 2008 lrupp@suse.de
- udpate to 1.20:
  + Added Licence.
  + Skip 2100 test on 64-bit systems.
  + Require Perl 5.6 (and, hence, use "our" and "warnings").
* Tue Oct 31 2006 tsieden@suse.de
- initial release 1.17
